package com.example.pmulabs.repository

import com.example.pmulabs.models.Article
import java.util.Date

class ArticleRepository {
    fun getArticleById(articleId : String): Article {
        return getAllData()[articleId.toInt()]
    }
    fun getAllData(): List<Article>{
        return listOf(
            Article(
                id=0,
                title = "Заголовок 1",
                text = "Текст статьи с заголовком 1",
                publishDate = Date(2023,5,22),
                tagId=5
            ),
            Article(
                id=1,
                title = "Заголовок 2",
                text = "Текст статьи с заголовком 2",
                publishDate = Date(2022,11,13),
                tagId=1
            ),
            Article(
                id=2,
                title = "Заголовок 3",
                text = "Текст статьи с заголовком 3",
                publishDate = Date(2023,5,4),
                tagId=0
            ),
            Article(
                id=3,
                title = "Заголовок 4",
                text = "Текст статьи с заголовком 4",
                publishDate = Date(2023,2,14),
                tagId=2
            ),
            Article(
                id=4,
                title = "Заголовок 5",
                text = "Текст статьи с заголовком 5",
                publishDate = Date(2023,0,19),
                tagId=3
            ),
            Article(
                id=5,
                title = "Заголовок 6",
                text = "Текст статьи с заголовком 6",
                publishDate = Date(2023,5,22),
                tagId=3
            ),
            Article(
                id=6,
                title = "Заголовок 7",
                text = "Текст статьи с заголовком 7",
                publishDate = Date(2023,0,19),
                tagId=4
            ),
            Article(
                id=7,
                title = "Заголовок 8",
                text = "Текст статьи с заголовком 8",
                publishDate = Date(2022,11,13),
                tagId=5
            )
        )
    }
}